using Adaptation.Shared.Methods;
using Microsoft.Extensions.Logging;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Shared;
using System;
using System.Diagnostics;
using System.IO;
using System.Reflection;

namespace _Tests.CreateSelfDescription.Staging.v2_39_0;

[TestClass]
public class MET08RESIHGCV : EAFLoggingUnitTesting
{

#pragma warning disable CA2254
#pragma warning disable IDE0060

    internal static MET08RESIHGCV EAFLoggingUnitTesting { get; private set; }

    public MET08RESIHGCV() : base(testContext: null, declaringType: null, skipEquipmentDictionary: false)
    {
        if (EAFLoggingUnitTesting is null)
            throw new Exception();
    }

    public MET08RESIHGCV(TestContext testContext) : base(testContext, new StackFrame().GetMethod().DeclaringType, skipEquipmentDictionary: false)
    {
    }

    [ClassInitialize]
    public static void ClassInitialize(TestContext testContext)
    {
        if (EAFLoggingUnitTesting is null)
            EAFLoggingUnitTesting = new MET08RESIHGCV(testContext);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(testContext.TestName, " - ClassInitialize"));
        string[] fileNameAndText = EAFLoggingUnitTesting.AdaptationTesting.GetCSharpText(testContext.TestName);
        File.WriteAllText(fileNameAndText[0], fileNameAndText[1]);
        File.WriteAllText(fileNameAndText[2], fileNameAndText[3]);
    }

    [ClassCleanup()]
    public static void ClassCleanup()
    {
        if (EAFLoggingUnitTesting.Logger is not null)
            EAFLoggingUnitTesting.Logger.LogInformation("Cleanup");
        if (EAFLoggingUnitTesting is not null)
            EAFLoggingUnitTesting.Dispose();
    }

    [TestMethod]
    public void Staging__v2_39_0__MET08RESIHGCV__MET08RESIHGCV()
    {
        string check = "~IsXToOpenInsightMetrologyViewer";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = Helpers.Metrology.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

    [TestMethod]
    public void Staging__v2_39_0__MET08RESIHGCV__MET08RESIHGCV_()
    {
        string check = "~IsXToIQSSi";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = Helpers.Metrology.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

    [TestMethod]
    public void Staging__v2_39_0__MET08RESIHGCV__MET08RESIHGCV__()
    {
        string check = "~IsXToOpenInsight";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = Helpers.Metrology.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

    [TestMethod]
    public void Staging__v2_39_0__MET08RESIHGCV__MET08RESIHGCV___()
    {
        string check = "~IsXToOpenInsightMetrologyViewerAttachments";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = Helpers.Metrology.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

    [TestMethod]
    public void Staging__v2_39_0__MET08RESIHGCV__MET08RESIHGCV____()
    {
        string check = "~IsXToAPC";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = Helpers.Metrology.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

    [TestMethod]
    public void Staging__v2_39_0__MET08RESIHGCV__MET08RESIHGCV_____()
    {
        string check = "~IsXToSPaCe";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = Helpers.Metrology.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

    [TestMethod]
    public void Staging__v2_39_0__MET08RESIHGCV__MET08RESIHGCV______()
    {
        string check = "~IsXToArchive";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = Helpers.Metrology.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

    [TestMethod]
    public void Staging__v2_39_0__MET08RESIHGCV__MET08RESIHGCV_______()
    {
        string check = "~IsArchive";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = Helpers.Metrology.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

    [TestMethod]
    public void Staging__v2_39_0__MET08RESIHGCV__MET08RESIHGCV________()
    {
        string check = "~IsDummy";
        MethodBase methodBase = new StackFrame().GetMethod();
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Getting configuration"));
        _ = Helpers.Metrology.GetWriteConfigurationGetFileRead(methodBase, check, EAFLoggingUnitTesting.AdaptationTesting);
        EAFLoggingUnitTesting.Logger.LogInformation(string.Concat(methodBase.Name, " - Exit"));
    }

}